Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.ButtonItem Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | ButtonItem ()
| Constructor.
def | ButtonItem (button_item)
| Constructor, with another button item object. More...
def | ButtonItem (name, pos, exec, enable, marked, tooltip, label, bitmap)
| Constructor, with parameters. More...
def | Set (name, pos, exec, enable, marked, tooltip, label, bitmap)
| Set values. More...

## Static Public Attributes
| bitmap = _fsdk.ButtonItem_bitmap
| A bitmap object of button.
| enable = _fsdk.ButtonItem_enable
| An expression string that determines whether to enable the toolbutton.
| label = _fsdk.ButtonItem_label
| A text label to be displayed on the button to the right of the icon.
| marked = _fsdk.ButtonItem_marked
| An expression string that determines whether the toolbutton is marked.
| name = _fsdk.ButtonItem_name
| A unique language-independent identifier for the button.
| pos = _fsdk.ButtonItem_pos
| The button number to place the added button in the toolbar.
| tooltip = _fsdk.ButtonItem_tooltip
| The text to display in the button help text when the mouse is over the toolbutton.

## Detailed Description

This class represents button item.

## Constructor & Destructor Documentation

## ◆ ButtonItem() [1/2]

def FoxitPDFSDKPython2.ButtonItem.ButtonItem | ( |  | name,
|  |  | pos,
|  |  | exec,
|  |  | enable,
|  |  | marked,
|  |  | tooltip,
|  |  | label,
|  |  | bitmap
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

## ◆ ButtonItem() [2/2]

def FoxitPDFSDKPython2.ButtonItem.ButtonItem | ( |  | button_item | ) |

Constructor, with another button item object.

Parameters

  [in] | button_item | Another button item object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.ButtonItem.Set | ( |  | name,
|  |  | pos,
|  |  | exec,
|  |  | enable,
|  |  | marked,
|  |  | tooltip,
|  |  | label,
|  |  | bitmap
| ) |  |

Set values.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

Returns
  None.